//+------------------------------------------------------------------+
//|                                                    CommonLib.mq4 |
//|                            Copyright  2007, Alexander Enchevich |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Alexander Enchevich"
#property link      "http://www.metaquotes.net"
#property library

//+------------------------------------------------------------------+
string ArrDToStr(double arr[], int precision)
{
	string str="";

	for(int i=0; i<ArrayRange(arr,0); i++)
	{
		if(i>0) str = StringConcatenate(str, ", ");
		str = StringConcatenate(str, DoubleToStr(arr[i],precision));
	}

	return (str);
}
//+------------------------------------------------------------------+
bool DoublesEq(double number1,double number2)
{
	return ((NormalizeDouble(number1,5)-NormalizeDouble(number2,5))==0);
}
//+------------------------------------------------------------------+
int Sign(double fVal)
{
// consider a value 100 times less then the tick size being zero for 
// purposes of comparing values like mov. averages, etc.

	if( fVal > Point/100 )
		return (1);
	else if( fVal < (-Point/100) )
		return (-1);

	return (0);
}
//+------------------------------------------------------------------+
bool IsZero(double fVal)
{
// consider a value 100 times less then the tick size being zero for 
// purposes of comparing values like mov. averages, etc.

	if( fVal > Point/100 )
		return (false);
	else if( fVal < (-Point/100) )
		return (false);

	return (true);
}
//+------------------------------------------------------------------+
string PeriodToStr( int iPeriod )
{
	switch( iPeriod )
	{
		case PERIOD_M1: return ("1 minute");
		case PERIOD_M5: return ("5 minute");
		case PERIOD_M15: return ("15 minute"); 
		case PERIOD_M30: return ("30 minute"); 
		case PERIOD_H1: return ("1 hour"); 
		case PERIOD_H4: return ("4 hour"); 
		case PERIOD_D1: return ("Daily"); 
		case PERIOD_W1: return ("Weekly"); 
		case PERIOD_MN1: return ("Monthly"); 
	}
}
//+------------------------------------------------------------------+
string PriceMethodToStr( int iPrice )
{
	switch( iPrice )
	{
		case PRICE_CLOSE: return ("Close");
		case PRICE_OPEN: return ("Open");
		case PRICE_HIGH: return ("High");
		case PRICE_LOW: return ("Low");
		case PRICE_HIGH: return ("High");
		case PRICE_MEDIAN: return ("MEDIAN");
		case PRICE_TYPICAL: return ("TYPICAL");
		case PRICE_WEIGHTED: return ("WEIGHTED");
		case PERIOD_MN1: return ("Monthly"); 
	}
}
//+------------------------------------------------------------------+
string OperationToStr( int iOperation )
{
	switch( iOperation )
	{
		case OP_BUY: return  ("Buy");
		case OP_SELL: return   ("Sell");
		case OP_BUYLIMIT: return   ("Buy limit pending");
		case OP_SELLLIMIT: return  ("Sell limit pending");
		case OP_BUYSTOP: return   ("Buy stop pending");
		case OP_SELLSTOP: return ("Sell stop pending");
	}
	return ("invalid OP_... operation ");
}
//+------------------------------------------------------------------+
string WeekDayToStr(int iWeekDay)
{
	static string strWeekDay[]={"Sunday",
								"Monday",
								"Tuesday",
								"Wednesday",
								"Thursday",
								"Friday",
								"Saturday",
								"Sunday"};
	iWeekDay = iWeekDay % 7;
	return(strWeekDay[iWeekDay]);
}
//+------------------------------------------------------------------+

